program pcaewin;

uses
  Forms,
  frmMainunt in 'frmMainunt.pas' {frmMain},
  frmMenuunt in 'frmMenuunt.pas' {frmMenu},
  frmDebuggerunt in 'frmDebuggerunt.pas' {frmDebugger},
  Profile in 'Profile.pas',
  AtariDis in 'Ataridis.pas',
  SPUnit in 'Spunit.pas',
  HexWrite in 'Hexwrite.pas',
  TIASound in 'Tiasound.pas',
  HandTIA in 'Handtia.pas',
  AtariControls in 'AtariControls.pas',
  Equation in 'Equation.pas',
  frmPrefsUnt in 'frmPrefsUnt.pas' {frmPrefs},
  frmTIARefUnt in 'frmTIARefUnt.pas' {frmTIARef},
  frmExpRefUnt in 'frmExpRefUnt.pas' {frmExpRef},
  frmInfoUnt in 'frmInfoUnt.pas' {frmInfo},
  frmProfileSettingsUnt in 'frmProfileSettingsUnt.pas' {frmProfileSettings},
  frmAltMenuUnt in 'frmAltMenuUnt.pas' {frmAltMenu},
  frmAboutUnt in 'frmAboutUnt.pas' {frmAbout},
  frmManualUnt in 'frmManualUnt.pas' {frmManual},
  AVI in 'Avi.pas',
  WriteAVI in 'writeavi.pas',
  frmConfigureUnt in 'frmConfigureUnt.pas' {frmConfigure},
  frmKailleraUnt in 'frmKailleraUnt.pas' {frmKaillera};

{$R *.RES}

begin
  kailleraInit;

  Application.Initialize;
  Application.CreateForm(TfrmMain, frmMain);
  Application.CreateForm(TfrmMenu, frmMenu);
  Application.CreateForm(TfrmDebugger, frmDebugger);
  Application.CreateForm(TfrmPrefs, frmPrefs);
  Application.CreateForm(TfrmTIARef, frmTIARef);
  Application.CreateForm(TfrmExpRef, frmExpRef);
  Application.CreateForm(TfrmInfo, frmInfo);
  Application.CreateForm(TfrmProfileSettings, frmProfileSettings);
  Application.CreateForm(TfrmAltMenu, frmAltMenu);
  Application.CreateForm(TfrmAbout, frmAbout);
  Application.CreateForm(TfrmManual, frmManual);
  Application.CreateForm(TfrmConfigure, frmConfigure);
  Application.CreateForm(TfrmKaillera, frmKaillera);
  Application.Run;

  kailleraShutdown;
end.

// ----------------------------------------------------------------------
// PCAE and PCAEWin - PC Atari Emulator - Atari 2600 emulator
// Copyright (C) 2000 John Dullea
//
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
// ----------------------------------------------------------------------
